Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 464474 - winbindd takes 100% CPUload with "idmap config DOMAIN:backend = rid"
winbindd takes 100% CPUload with "idmap config DOMAIN:backend = rid"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 06:58 EDT by Helge Deller
Modified: 2009-12-18 01:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helge Deller 2008-09-29 06:58:06 EDT
Description of problem:
Switching winbindd from tbd backend to rid backend makes winbindd consuming 100% CPU load for many minutes. Our Windows domain has more than 50.000 users.

Version-Release number of selected component (if applicable):
samba-3.2.4-0.21.fc9.i386
samba-winbind-devel-3.2.4-0.21.fc9.i386
samba-domainjoin-gui-3.2.4-0.21.fc9.i386
samba-swat-3.2.4-0.21.fc9.i386
samba-client-3.2.4-0.21.fc9.i386
samba-common-3.2.4-0.21.fc9.i386
samba-doc-3.2.4-0.21.fc9.i386
samba-winbind-3.2.4-0.21.fc9.i386

How reproducible:
Always.
After login, just run "id" on a shell, and winbindd takes all cpu time for many minutes. Switching back to tbd backend runs much faster.

More info:
The enumaration options are enabled in both backends (rid & tbd). Maybe the rid backend does not honour this option?
        winbind enum users = no
        winbind enum groups = no


Differences between the two smb.conf files (to switch to rid):
+       idmap config SAP_ALL:backend = rid
+       idmap config SAP_ALL:range = 100000 - 1000000
+       idmap backend = idmap_rid:SAP_ALL=1000-50000000
+
-       idmap config SAP_ALL:backend = tdb
-       idmap alloc backend = tdb
-       idmap alloc config:range = 100000 - 400000
Comment 1 Helge Deller 2008-09-29 06:59:54 EDT
Correction - I meant of course:
The enumaration options are DISABLED in both backends.
        winbind enum users = no
        winbind enum groups = no
Comment 2 Helge Deller 2008-12-04 10:59:10 EST
Problem still exists:

[d036493@ls3313 ~]$ time id
uid=10867(d036493) gid=17(users) groups=4(adm),17(users),1023(applsw),100000(domain users),100001(jpn_gg_dl_ww-sap-g),100002(admin_dwdfgroup_dom),100007(01100035870000224812),100010(01100035870000000414),100012... and many more...

real    2m37.062s
user    0m0.010s
sys     0m0.011s

Always reproducible.

Packages:
samba-domainjoin-gui-3.2.5-0.23.fc10.i386
samba-winbind-3.2.5-0.23.fc10.i386
samba-client-3.2.5-0.23.fc10.i386
samba-3.2.5-0.23.fc10.i386
samba-swat-3.2.5-0.23.fc10.i386
samba-common-3.2.5-0.23.fc10.i386
samba-doc-3.2.5-0.23.fc10.i386
samba-winbind-devel-3.2.5-0.23.fc10.i386
Comment 3 Helge Deller 2008-12-05 08:07:24 EST
First tests with oprofile show:
   558817 95.5222 winbindd
        GLOBAL_POWER_E...|
          samples|      %|
        ------------------
           404481 72.3817 winbindd
           153504 27.4695 libc-2.9.so
              356  0.0637 libtalloc.so.1
              168  0.0301 libtdb.so.1
              127  0.0227 liblber-2.4.so.2.2.0
              101  0.0181 [vdso] (tgid:20029 range:0x130000-0x131000)
               29  0.0052 libldap-2.4.so.2.2.0
               20  0.0036 libkrb5.so.3.3
               10  0.0018 ld-2.9.so
                9  0.0016 libk5crypto.so.3.1
                4 7.2e-04 libpthread-2.9.so
                3 5.4e-04 [vdso] (tgid:20031 range:0x130000-0x131000)
                2 3.6e-04 libresolv-2.9.so
                1 1.8e-04 [vdso] (tgid:20191 range:0x130000-0x131000)
                1 1.8e-04 libgssapi_krb5.so.2.2
                1 1.8e-04 libkrb5support.so.0.1

but as long as opreport is broken (see Bug 467651) we can't get more details.
Comment 4 Bug Zapper 2009-11-18 02:55:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:27:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.